Subject: Re: [bug#28718] [PATCH] gnu: qemu: Add sysconfdir to configure-flags.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 08 Oct 2017 17:22:44 +0200

Oleg Pykhalov <[email-masked]> skribis:

> Hello Ludovic,
>
> [email-masked] (Ludovic Courtès) writes:
>
> [...]
>
>>> I've used this patch to run a QEMU VM with bridge interface.
>>>
>>> $ mkdir -p /tmp/etc/qemu
>>> $ echo 'allow bridge0' | tee -a /tmp/etc/qemu/bridge.conf
>>> # ip link add bridge0 type bridge
>>> # ip link set dev enp6s0 master bridge0
>>> # ip link up bridge0
>>> # dhclient bridge0
>>> # qemu-system-x86_64 -net nic -net bridge,br=bridge0 # …
>>
>> It feels wrong to me to default to /tmp/etc instead of /etc.
>>
>> Setting up a bridge requires root privileges anyway, so why not stick to
>> /etc instead of /tmp/etc?
>
> It's inspired by libvirt package recipe :-)

Looking at commit a4b9392151 for libvirt, I think it’s a trick here: we
do pass --sysconfdir=/etc, and sysconfdir=/tmp/etc is passed only during
the install phase, which I think is a trick to avoid errors while
creating $(sysconfdir).  But /etc is the actual sysconfdir AIUI.

So, WDYT?  :-)

Ludo’.